# Dirac - A Video Codec

Created by the British Broadcasting Corporation.

Classes | Macros | Typedefs
dirac_types.h File Reference
`#include <libdirac_common/common_types.h>`

Go to the source code of this file.

## Classes
struct | dirac_rational_t
struct | dirac_parseparams_t
struct | dirac_clean_area_t
struct | dirac_signal_range_t
struct | dirac_col_matrix_t
struct | dirac_colour_spec_t
struct | dirac_sourceparams_t
struct | dirac_picparams_t
struct | dirac_framebuf_t

## Macros
#define | DllExport
#define | DIRAC_RESEARCH_MAJOR_VERSION 1 /* 0..255 */
#define | DIRAC_RESEARCH_MINOR_VERSION 0 /* 0..255 */
#define | DIRAC_RESEARCH_PATCH_VERSION 2 /* 0..255 */
#define | DIRAC_RESEARCH_VERSION(X, Y, Z) (((X)<<16) + ((Y)<<8) + (Z))
#define | DIRAC_RESEARCH_CURVERSION
#define | DIRAC_RESEARCH_VERSION_ATLEAST(X, Y, Z) (DIRAC_RESEARCH_CURVERSION >= DIRAC_RESEARCH_VERSION(X, Y, Z))

## Typedefs
typedef ChromaFormat | dirac_chroma_t
typedef PictureType | dirac_picture_type_t
typedef ReferenceType | dirac_reference_type_t
typedef WltFilter | dirac_wlt_filter_t
typedef dirac_rational_t | dirac_frame_rate_t
typedef dirac_rational_t | dirac_pix_asr_t
typedef ColourPrimaries | dirac_col_primaries_t
typedef TransferFunction | dirac_transfer_func_t

## Macro Definition Documentation

#define DIRAC_RESEARCH_CURVERSION

Value:
DIRAC_RESEARCH_VERSION(DIRAC_RESEARCH_MAJOR_VERSION, \
DIRAC_RESEARCH_MINOR_VERSION, \
DIRAC_RESEARCH_PATCH_VERSION)

#define DIRAC_RESEARCH_MAJOR_VERSION 1 /* 0..255 */

#define DIRAC_RESEARCH_MINOR_VERSION 0 /* 0..255 */

#define DIRAC_RESEARCH_PATCH_VERSION 2 /* 0..255 */

#define DIRAC_RESEARCH_VERSION | ( |  | X,
|  |  | Y,
|  |  | Z
| ) |  | (((X)<<16) + ((Y)<<8) + (Z))

#define DIRAC_RESEARCH_VERSION_ATLEAST | ( |  | X,
|  |  | Y,
|  |  | Z
| ) |  | (DIRAC_RESEARCH_CURVERSION >= DIRAC_RESEARCH_VERSION(X, Y, Z))

#define DllExport

This file contains common enumerated types used throughout the end user interfaces to the encoder and decoder

## Typedef Documentation

typedef ChromaFormat dirac_chroma_t

typedef ColourPrimaries dirac_col_primaries_t

typedef dirac_rational_t dirac_frame_rate_t

typedef PictureType dirac_picture_type_t

typedef dirac_rational_t dirac_pix_asr_t

typedef ReferenceType dirac_reference_type_t

typedef TransferFunction dirac_transfer_func_t

typedef WltFilter dirac_wlt_filter_t

© 2004 British Broadcasting Corporation. Dirac code licensed under the Mozilla Public License (MPL) Version 1.1.
HTML documentation generated by Dimitri van Heesch's excellent Doxygen tool.